!set title=Partages
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=fr
leftrange=-5.000000
rightrange=5.000000
author=XIAO Dingyu
email=xiao@unice.fr
computeanswer=no
precision=10000

ansorder=r
varcnt=19
prevarcnt=18
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=Fabien, Carole, Elodie, Louis, Catherine, George, Olivier, Dominique, Charles, Victor, Simon, Hélène, Pierre, Joséphine, Juliette	
tmp0=!shuffle $val6

val6=$(tmp0)
tmp0=!item 1 of $val6

val7=$(tmp0)
tmp0=!item 2 of $val6

val8=$(tmp0)
tmp0=!item 3 of $val6

val9=$(tmp0)

!ifval $val9 isitemof Fabien, Louis, George, Olivier, Charles, Victor, Simon, Pierre
val10= il
!else
val10=elle
!endif
tmp=!trim le quart, 1, 4	le tiers, 1, 3	la moitié, 1, 2	deux tiers, 2, 3	deux cinquième, 2, 5	
val11=!translate internal $	\
$ to ;; in $tmp
tmp0=!randitem biscuits, bonbons

val12=$(tmp0)
tmp=!translate internal $	$ to ; in $val11

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val13=$(tmp0)
tmp0=!item 1 of $val13

val14=$(tmp0)
tmp0=!item 2 of $val13

val15=$(tmp0)
tmp0=!item 3 of $val13

val16=$(tmp0)
tmp0=!randint 2, 9

val17=$[rint($(tmp0))]
val18=$[rint($val17*$val15)]
val19=$[rint($val17*$val16)]
val20=$[rint($val19-$val18)]
tmp0=!randint 1, $val20-1

val21=$[rint($(tmp0))]
val22=$[rint($val20-$val21)]
replytype1=default
replyname1=$val9 en a eu
replygood1=$val18
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Des enfants se partagent des $val12 : $val7 en a eu $val21, $val8 en a eu $val22 et $val9 en a eu $val14.	Combien  $val9 a-t-$val10 eu de $val12 ?
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=7,8,9,10,12,14,21,22
embedcnt=0
